package com.crm.manager.service;

import com.crm.manager.dto.export.UserResignSearchListExportDto;
import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.user.info.UserResignSearchListDto;
import com.crm.rely.backend.core.entity.base.SingleLongEntity;
import com.crm.rely.backend.core.entity.user.info.UserResignAddEntity;
import com.crm.rely.backend.core.entity.user.info.UserResignSearchEntity;
import com.crm.rely.backend.core.entity.user.info.UserResignUpdateEntity;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface UserResignService {

    void add(UserResignAddEntity entity) throws Exception;

    void update(UserResignUpdateEntity entity) throws Exception;

    UserResignSearchListDto searchSingle(SingleLongEntity entity) throws Exception;

    ResultWithPagerDto<UserResignSearchListDto> searchPageList(UserResignSearchEntity entity) throws Exception;

    void approveManage(UserResignUpdateEntity entity, HttpServletRequest httpServletRequest) throws Exception;

    List<UserResignSearchListExportDto> searchPageExport(UserResignSearchEntity entity);

}
